import java.awt.Shape;
import java.awt.Color;

/**
 * Die Klasse FarbigesShape wird bentigt, da awt keine Farbe bei shapes kennt.
 * Das Attribut voll kennzeichnet, ob gefllt gezeichnet werden soll oder nur
 * der Umriss.
 * 
 * @author claus albowski
 * @version aug 06
 */
public class FarbigesShape
{
    Shape shape;
    Color color;
    boolean voll;

    /**
     * Konstruktor fr Objekte der Klasse FarbigesShape
     */
    public FarbigesShape(Shape shape, String farbe, boolean voll)
    {
        // Instanzvariable initialisieren
        this.shape = shape;
        color = gibColor(farbe);
        this.voll = voll;
    }
    
    /**
     * bestimmt zu einem zulssigen String das Color - Objekt.
     * bei unzulssigen Strings wird Color.gray zurck gegeben.
     */
    private Color gibColor(String farbe){
        if (farbe.equals("rot")) return Color.red;
        else if (farbe.equals("blau")) return Color.blue;
        else if (farbe.equals("gelb")) return Color.yellow;
        else if (farbe.equals("gruen")) return Color.green;
        else if (farbe.equals("orange")) return Color.orange;
        else if (farbe.equals("pink")) return Color.pink;
        else if (farbe.equals("cyan")) return Color.cyan;
        else if (farbe.equals("magenta")) return Color.magenta;
        else if (farbe.equals("black")) return Color.black;
        else if (farbe.equals("lightGray")) return Color.lightGray;
        else return Color.gray;
    }
    
    /**
     * get-Methoden
     */
    public Shape getShape(){ return shape; }
    public Color getColor(){ return color; }
    public boolean getVoll(){ return voll; }
}
